<?php
/**
 * Bio Green Farm functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Bio Green Farm
 */


if ( ! function_exists( 'bio_green_farm_setup' ) ) :
	function bio_green_farm_setup() {
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'align-wide' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'wp-block-styles' );
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 192,
				'width'       => 192,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);
		add_theme_support( 'block-nav-menus' );
		add_theme_support( 'experimental-link-color' );
		register_nav_menus(
			array(
				'primary' => __( 'Primary Navigation', 'bio-green-farm' ),
			)
		);

    	add_theme_support('editor-styles');
		// Enqueue editor styles.
		add_editor_style( 'css/editor-style.css' );

		// Make theme available for translation.
		load_theme_textdomain( 'bio-green-farm', get_template_directory() . '/languages' );
	}
endif;
add_action( 'after_setup_theme', 'bio_green_farm_setup' );

/**
 * Enqueue scripts and styles.
 */
function bio_green_farm_scripts() {

	$min  = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

	$theme_version = wp_get_theme()->get( 'Version' );

	$deps = array( 'dashicons' );
	global $wp_styles;
	if ( in_array( 'wc-blocks-vendors-style', $wp_styles->queue ) ) {
		$deps[] = 'wc-blocks-vendors-style';
	}

	wp_enqueue_style( 'bio-green-farm-style', get_stylesheet_uri(), $deps, date( 'Ymd-Gis', filemtime( get_theme_file_path( 'style.css' ) ) ) );
	wp_style_add_data('bio-green-farm', 'rtl', 'replace');

	wp_enqueue_style( 'fontawesome-style', esc_url(get_template_directory_uri()).'/css/fontawesome/css/all.css' );

	wp_enqueue_style( 'animatecss', get_template_directory_uri() . '/css/animate.css');
	wp_enqueue_style( 'owl.carousel-css', get_template_directory_uri() . '/css/owl.carousel.css', array(),'2.3.4');

	wp_enqueue_script( 'wow-script', get_template_directory_uri() . '/js/wow.js', array('jquery'));

	wp_enqueue_script( 'owl.carousel-js', get_template_directory_uri() . '/js/owl.carousel.js', array('jquery'), '2.3.4', TRUE );

	wp_enqueue_script('bio-green-farm-main-script', get_template_directory_uri() . '/js/script.js', array('jquery'), true);

}
add_action( 'wp_enqueue_scripts', 'bio_green_farm_scripts' );

/**
 * Enqueue admin scripts and styles.
 */
function bio_green_farm_admin_scripts() {

	wp_enqueue_style(
		'bio-green-farm-admin-css',
		get_template_directory_uri() . '/notice-getstart/theme-info.css',
		[],
		wp_get_theme()->get( 'Version' )
	);

	// Enqueue JS
	wp_enqueue_script(
		'bio-green-farm-admin-js',
		get_template_directory_uri() . '/notice-getstart/theme-info.js',
		[],
		wp_get_theme()->get( 'Version' ),
		true // Load in footer
	);

}
add_action( 'admin_enqueue_scripts', 'bio_green_farm_admin_scripts' );

/**
 * Load core file.
 */
require_once get_template_directory() . '/core/init.php';

/**
 * TGM
 */
require_once get_template_directory() . '/core/tgm/tgm.php';

/** 
 * Customizer
 */
require get_template_directory() . '/core/section-pro/customizer.php';

/** 
 * Animation
 */

// require get_template_directory() . '/animation-setting.php';

/**
 * Current theme path.
 * Current theme url.
 * Current theme version.
 * Current theme name.
 * Current theme option name.
 */
define( 'BIO_GREEN_FARM_PATH', trailingslashit( get_template_directory() ) );
define( 'BIO_GREEN_FARM_URL', trailingslashit( get_template_directory_uri() ) );
define( 'BIO_GREEN_FARM_VERSION', '1.0.0' );
define( 'BIO_GREEN_FARM_THEME_NAME', 'bio-green-farm' );
define( 'BIO_GREEN_FARM_OPTION_NAME', 'bio-green-farm' );

/**
 * The core theme class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require BIO_GREEN_FARM_PATH . 'notice-getstart/main.php';

/**
 * TGM
 */
require_once get_template_directory() . '/core/tgm/tgm.php';

/**
 * Begins execution of the theme.
 *
 * @since    1.0.0
 */
function bio_green_farm_run() {
	new Bio_Green_Farm();
}
bio_green_farm_run();